/* Download font 'Rubik' from the internet */
/* If you'd like, you could use your own font. Please go to https://fonts.google.com/ and choose your favourite */
@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/* This is called CSS Custom Properties */
/* https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties */
:root {
  --main-bg-color: #ffffff;
  --color-black: #000000;
  --color-white: #ffffff;
  --color-red: #ff4948;
}

html {
  font-family: "Rubik", sans-serif;
  font-size: 16px;
  background-color: var(--main-bg-color);
  color: var(--color-black);
}

body {
  width: 100%;
  background: linear-gradient(70deg, #FF9292, #DE5150);;
}

/*header start*/
.header {
  display: flex;
  align-items: center;
  /*background: linear-gradient(70deg, #FF9292, #DE5150);*/
  height: 60px;
}

.center-icons-container {
  display: flex;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
}

.menu {
  height: 40px;
  width: 40px;
  margin: 0 20%;
}

.logo {
  height: 50px;
  width: 50px;
  margin: 0 18%;
}

.separator {
  width: 1px;
  height: 20px;
  background-color: white;
  margin: 0 20px;
}

.icon {
  width: 18px;
  height: 18px;
}

.icon-container {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 20px;
  background-color: white;
  margin-right: 5px;
}
/*header end*/
/*hero start*/
.hero-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  /*background: linear-gradient(70deg, #FF9292, #DE5150);;*/
}

.hero-image {
  max-width: 50%;
  height: auto;
  text-align: center;
}

.hero-content {
  color: white;
  padding: 20px;
  font-size: 22px;
  font-weight: 500;
}

.caption {
  margin: 10px 0;
  font-size: 22px;
  font-weight: 500;
  text-transform: uppercase;
}

.title {
  font-size: 36px;
  font-weight: 700;
  margin: 10px 0;
  text-transform: uppercase;
  white-space: pre-line;
}

.price-container {
  display: flex;
  align-items: center;
  justify-content: center;
  justify-content: space-between;
  margin-bottom: 20px;
}

.price {
  margin: 0;
  font-size: 44px;
  font-weight: 700;
}

.price__line-through{
  margin: 0;
  font-size: 31px;
  font-weight: 500;
  text-decoration: line-through;
  opacity: 70%;
}

.button {
  font-size: 22px;
  font-weight: 500;
  width: 100%;
  display: inline-block;
  padding: 10px 20px;
  border-radius: 30px;
  background-color: white;
  color: #FF4948;
  text-transform: uppercase;
  cursor: pointer;
  border: none;
}
/*hero end*/
/*clour start*/
.colour-section {
  text-align: center;
  padding: 20px;
  background-color: #fff;
}

.colour-title {
  font-size: 24px;
  font-weight: bold;
  margin: 20px 0;
  white-space: pre-line;
  color: black;
}

.carousel {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
}

.image{
  display: none;
}

.carouselWork{
  display: flex;
  align-items: center;
  justify-content: center;
}

.image:nth-child(2) {
  display: block;
  width: 60%;
  border-radius: 30px;
  background-color: white;
  background-position: center;
}

.arrow {
  font-size: 24px;
  color: black;
  cursor: pointer;
  margin: 0;
  padding: 0;
}

.arrow:hover {
  color: gray;
}

/*clour end*/

.feature-section {
  background-color: rgb(255, 255, 255);
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.content-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 20px;
}

.text-column {
  text-align: left;
  color: white;
}

.feature-area {
  display: flex;
  margin-bottom: 30px;
  align-items: center;
}

.innergraphic{
  width: 60px;
  height: 60px;
  border-radius: 50%;
  border: 1px solid;
  border-image-slice: 1;
  border-color: #FF9292;
  display: flex;
  justify-content: center;
  align-items: center;
}

.graphic {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  border: 5px solid;
  border-image-slice: 1;
  border-color: pink pink red red;
  transform: rotate(-45deg);
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 10px;
}

.graphic img {
  width: 25px;
  height: 25px;
  transform: rotate(45deg);
}

.feature-area h3{
  color: rgb(0, 0, 0);
  margin-top: -10px;
  margin-bottom: -25px;
  font-size: 31px;
  font-weight: 500;
}
.feature-area h5{
  color: rgb(0, 0, 0);
  margin-bottom: 5px;
  font-size: 16px;
}

.feature-area a{
  color: #FF4948;
  font-size: 16px;
  font-weight: 500;
  text-decoration: none;
}

.feature-image {
  width: 38%;
  margin-top: 30px;
  margin-bottom: 30px;
}


/*feature end*/

.product-section {
  text-align: center;
  padding: 20px;
  background-color: #fff;
}

.subtitle {
  font-size: 10px;
  margin: 10px 0;
}

.product-wrapper {
  display: flex;
  justify-content: space-around;
}
.product-item{
  display: none;
}
.product-item:nth-child(2) {
  display: block;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 20px;
}

.image-wrapper {
  margin-top: 70px;
  width: 40vw;
  height: 40vw;
  border-radius: 10px;
  background-color: pink;
  display: flex;
  align-items: center;
  justify-content: center;
}

.image-wrapper img {
  margin-top: -10vw;
  width: 33vw;
  height: 46vw;
}

.circle {
  margin-top: -43vw;
  margin-left: 36vw;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: white;
  border: 5px solid rgb(255, 255, 255);
  display: flex;
  align-items: center;
  justify-content: center;
}

.circle img {
  width: 20px;
  height: 20px;
}

.info1 {
  margin-top: 35vw;
  display: flex;
  align-items: center;
}

.info1 h6{
  margin-left: -1vw;
}

.info2{
  display: flex;
  align-items: center;
  margin-bottom: 1vw;
  margin-top: -3vw;
}

.info2 h4{
  margin-right: 6vw;
  font-weight: 500;
}

.info2 h5{
  margin-left: 0vw;
  font-size: 22px;
}

.stars {
  display: flex;
}

.stars i {
  margin-right: 3vw;
  color: #FDAE38;
}

.rating {
  margin-left: 5px;
}

.product-title {
  margin-top: 5px;
}

.product-price {
  margin-top: 5px;
}
/*product end*/

.boxing-section {
  background-color: white;
  padding: 20px;
  margin-bottom: 60px;
}

.box-content-wrapper {
  display: flex;
  flex-direction: column-reverse;
    align-items: center;
}

.box-content-wrapper img:last-child{
  width: 60vw;
  margin-left: 30px;
}

.text-column {
  /*text-align: left;*/
  color: #000000;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.text-column h2{
  margin-right: -20px;
  font-size: 32px;
  width: 300px;
  height: 105px;
}

.text-column ul{
  margin-top: -30px;
  margin-right: 30px;
}

.text-column ul li{
  list-style-type: none;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.text-column ul li img{
  margin-right: 10px;
}

.separatorHor {
  width: 300px;
  border: none;
  height: 1px;
  opacity: 0.10000000149011612;
  background: #000;
}

.separatorHor:last-child{
  display: none;
}

/*boxing end*/

.main-cta-section {
  display: flex;
  background-color: rgb(255, 255, 255);
  margin-top: -60px;
  padding-top: 50px;
  padding-bottom: 60px;
  justify-content: center;
  width: 100%;
}
.main-cta-section h1{
  font-size: 44px;
}
.sub-content-wrapper {
  display: flex;
  text-align: center;
  border-radius: 20px;
  background: #FFF4F4;
  height: 300px;
  width: 100%;
  flex-direction: column;
  justify-content: space-between;
  align-items: stretch;
  color: #180202;
}

.sub-content-wrapper h3{
  margin-top: -20px;
  opacity: 0.699999988079071;
  font-size: 16px;
}

.form-container {
  margin-top: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 70px;
  font-size: 22px;
}

input[type="email"] {
  width: 76%;
  padding: 10px;
  border-radius: 20px;
  border: 1px solid #180202;
  opacity: 0.30000001192092896;
  margin-bottom: 10px;
}

button {
  width: 80%;
  background-color: #FF4948;
  color: white;
  padding: 10px;
  border-radius: 20px;
  cursor: pointer;
  border: none;
  z-index: 2;
}

.footer {
  display: flex;
  align-items: center;
  justify-content: space-around;
  background-color: #E86564;
  color: white;
  height: 150px;
  padding: 0 20px;
}

.footer-logo {
  height: 60px;
  width: 60px;
}

.footer-social-icons {
  display: flex;
  align-items: center;
}

.footer-icon {
  width: 20px;
  height: 20px;
  padding: 0;
}

.footer-links-container {
  display: flex;
}

.footer-links-container a {
  color: white;
  margin-right: 10px;
  text-decoration: none;
}

.footer-icon-container {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 20px;
  background-color: white;
  margin-right: 20px;
  padding-top: 3px;
}

.desctop-only{
  display: none;
}


.app {
  max-width: 480px;
  margin: 0 auto;
}

@media screen and (min-width: 768px) {
  .desctop-only{
    display: block;
  }

  .center-icons-container{
    display: flex;
  }

  .hero-section{
    flex-direction: row;
    justify-content: center;
  }

  .hero-image{
    width: 35%;
  }

  .hero-content{
    margin-left: 20px;
  }

  .price-container{
    justify-content: flex-start;
  }

  .title{
    font-size: 70px;
    width: 350px;
  }

  .button{
    width: 40%;
  }

  .image{
    display: block;
  }

  .image:nth-child(2) {
    display: block;
    width: 40%;
    background-color: white;
    background-position: center;
  }

  .image:first-child{
    width: 30%;
    border-radius: 100%;
  }

  .image:last-child{
    width: 30%;
  }

  .feature-section{
    flex-direction: row;
    justify-content: space-evenly;
  }

  .feature-image{
    width: 25%;
    height: 25%;
    margin-top: -30px;
  }

  .product-item:nth-child(1){
    display: block;
  }

  .product-item:nth-child(3){
    display: block;
  }

  .image-wrapper {
    margin-top: 70px;
    width: 28vw;
    height: 28vw;
  }
  
  .image-wrapper img {
    margin-top: -6vw;
    width: 23vw;
    height: 33vw;
  }
  
  .circle {
    margin-top: -30vw;
    margin-left: 24vw;
  }

  .info1 {
    margin-top: 28vw;
  }

  .box-content-wrapper {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: center;
  }

  .box-content-wrapper img:last-child{
    width: 45vw;
    margin:0;
  }

  .text-column ul{
    margin-right: 60px;
  }

  .text-column h2{
    font-size: 32px;
    width: 340px;
    height: 105px;
  }

  .sub-content-wrapper{
    width: 75%;
    align-items: center;
  }

  .form-container{
    flex-direction: row;
    align-items: baseline;
    width: 80%;
    font-size: 18px;
  }
  
  input[type="email"] {
    margin-right: -40px;
  }

  input[type="email"] {
    width: 96%;
    padding: 10px;
    border-radius: 20px;
    border: 1px solid #180202;
    opacity: 0.30000001192092896;
    margin-bottom: 10px;
  }
  
  button {
    width: 50%;
    background-color: #FF4948;
    color: white;
    padding: 10px;
    border-radius: 20px;
    cursor: pointer;
    border: none;
  }
  
  .app {
    max-width: 1280px;
  }
}